---
version: "3.2"
services:
  horizon:
    build:
      context: .
      dockerfile: .pipeline/blubber.yaml
      target: production
    image: "wmcs/horizon"
    restart: always
    working_dir: /srv/app
    volumes:
      - type: bind
        source: ./runtime_local_settings.py
        target: /opt/lib/python/site-packages/openstack_dashboard/local/local_settings.py
        consistency: cached
    ports:
      - "${HORIZON_HTTP_PORT:-8084}:8084"
    networks:
      default:
        aliases:
          - horizon.local.wmftest.net
